export var getSerializerByContentType = function (contentType) {
    if (contentType === void 0) { contentType = ''; }
    contentType = contentType.toLowerCase();
    if (contentType.indexOf('text/') === 0) {
        return 'utf8';
    }
    if (contentType.indexOf('application/json') === 0) {
        return 'json';
    }
    if (contentType.indexOf('application/x-www-form-urlencoded') === 0) {
        return 'urlencoded';
    }
    return null;
};
export var guessSerializer = function (req) {
    var method = req.method.toLowerCase();
    if (!(method === 'post' || method === 'put' || method === 'patch')) {
        return 'urlencoded';
    }
    if (typeof req.body !== 'string') {
        return 'json';
    }
    try {
        JSON.parse(req.body);
        return 'json';
    }
    catch (e) {
        return 'urlencoded';
    }
};
export var detectSerializer = function (req) {
    return (getSerializerByContentType(req.headers.get('content-type') || '') ||
        guessSerializer(req));
};
//# sourceMappingURL=data-serializer.js.map