import { bodyToObject } from './http-params';
import { collectionToObject } from './collection-to-object';
var DATA_REQUEST_METHODS = ['post', 'put', 'patch'];
export var paramsOrData = function (req) {
    if (!DATA_REQUEST_METHODS.includes(req.method.toLowerCase())) {
        return {
            params: collectionToObject(req.params),
        };
    }
    if ((req.headers.get('content-type') || '')
        .toLowerCase()
        .indexOf('text/') === 0) {
        return {
            data: req.body,
        };
    }
    return {
        data: bodyToObject(req.body),
    };
};
//# sourceMappingURL=request-options.js.map